LNMP 1.4添加虚拟主机SSL 出错解决办法

本例只讨论lnmp1.4环境下添加虚拟主机ssl时出错的解决办法,使用的是centos7.6,lnmp1.4搭建,给域名添加ssl的时候,报错。

报错提示“Your system is not supported by certbot-auto anymore. Certbot cannot be installed”

原因:certbot-auto 对应 centos 6

centos 7 & 8 以上版本使用cerbot

解决办法,卸载删除certbot-auto,安装支持centos7/8的cerbot。

参考自:https://stackoverflow.com/questions/66088845/skipping-bootstrap-because-certbot-auto-is-deprecated-on-this-system-when-using

https://blog.csdn.net/weixin_43931358/article/details/112525075

https://certbot.eff.org/lets-encrypt/centosrhel7-apache

如果你也是1.4的lnmp,那么还有更简单的办法,直接升级lnmp到1.5.、

1
wget http://soft.vpser.net/lnmp/lnmp1.5beta.tar.gz -O lnmp1.5beta.tar.gz && tar zxf lnmp1.5beta.tar.gz && cd lnmp1.4 && ./upgrade1.x-1.5.sh ssl

1.5版本的lnmp使用acme.sh生成证书,更加方便。

发表评论

:?: :razz: :sad: :!: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: :smile: :evil:
贴图 表情 ( ps. 若要贴代码, 请將 "<" 改成 "&lt;" 即可. )

5 + 6 = ?

这篇文章上的评论的RSS feed TrackBack URL